Bug 104436 - [Qt] MinGW-w64 64-bit build fails when linking libQt5WebKitWidgetsd
: [Qt] MinGW-w64 64-bit build fails when linking libQt5WebKitWidgetsd
Status: RESOLVED FIXED
: WebKit
WebKit Qt
: 528+ (Nightly build)
: PC Windows 7
: P2 Major
Assigned To:
:
:
:
: 103747
  Show dependency treegraph
 
Reported: 2012-12-08 02:07 PST by
Modified: 2013-04-15 00:30 PST (History)


Attachments
Full logs configuring and compiling with 8 threads (860.09 KB, application/octet-stream)
2012-12-08 02:22 PST, Jonathan Liu
no flags Details
Patch (1.41 KB, patch)
2012-12-15 04:26 PST, Jonathan Liu
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-12-08 02:07:34 PST
Compiler: MinGW-builds GCC 4.7.2 64-bit rev 1 (SJLJ exception handling, POSIX threading model)
Operating System: Microsoft Windows 7 Ultimate 64-bit SP1

Revision: 0102bba304c2b7b7bb400fffb5d436db3d1785be (qtwebkit stable branch, https://codereview.qt-project.org/#change,42072)

Additional patches applied:
- https://trac.webkit.org/changeset/137010?format=diff&new=137010
- https://trac.webkit.org/changeset/137017?format=diff&new=137017
- https://bug-104426-attachments.webkit.org/attachment.cgi?id=178329

mingw32-make[3]: Entering directory 'C:/Work/git/qt5/qtwebkit/Source'
g++ -shared -Wl,--out-implib,C:\Work\git\qt5\qtbase\lib\libQt5WebKitWidgetsd.a -o C:\Work\git\qt5\qtbase\lib\Qt5WebKitWidgetsd.dll object_script.Qt5WebKitWidgetsd.Debug  -LC:\Qt\qt5_deps\icu\dist\lib -LC:\Qt\qt5_deps\openssl-1.0.1c\dist\lib -LC:/Work/git/qt5/qtbase/lib -lQt5Quickd -lQt5MultimediaWidgetsd -lQt5OpenGLd -lQt5PrintSupportd -lQt5WebKitd -lQt5Qmld -lQt5Multimediad -lQt5Widgetsd -lQt5Sqld -lQt5Networkd -lQt5Guid -lQt5Cored -llibEGLd -llibGLESv2d -lgdi32 -luser32 obj\debug\Qt5WebKitWidgetsd_resource_res.o 
./obj\debug\qgraphicswebview.o: In function `QGraphicsWebViewPrivate::updateResizesToContentsForPage()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:122: undefined reference to `__imp__ZN16QWebFrameAdapter23setPaintsEntireContentsEb'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:123: undefined reference to `__imp__ZN16QWebFrameAdapter21setDelegatesScrollingEb'
./obj\debug\qgraphicswebview.o: In function `QGraphicsWebViewPrivate::_q_scaleChanged()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:138: undefined reference to `__imp__ZN16QWebFrameAdapter33setTiledBackingStoreContentsScaleEf'
./obj\debug\qgraphicswebview.o: In function `QGraphicsWebView::paint(QPainter*, QStyleOptionGraphicsItem const*, QWidget*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:275: undefined reference to `__imp__ZN16QWebFrameAdapter27renderFromTiledBackingStoreEP8QPainterRK7QRegion'
./obj\debug\qgraphicswebview.o: In function `QGraphicsWebView::isTiledBackingStoreFrozen() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:885: undefined reference to `__imp__ZNK16QWebFrameAdapter23tiledBackingStoreFrozenEv'
./obj\debug\qgraphicswebview.o: In function `QGraphicsWebView::setTiledBackingStoreFrozen(bool)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:894: undefined reference to `__imp__ZN16QWebFrameAdapter26setTiledBackingStoreFrozenEb'
./obj\debug\qwebframe.o: In function `QWebFramePrivate::emitUrlChanged()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:68: undefined reference to `__imp__ZNK16QWebFrameAdapter12coreFrameUrlEv'
./obj\debug\qwebframe.o: In function `QWebFrame::QWebFrame(QWebPage*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:210: undefined reference to `__imp__ZN16QWebFrameAdapter4initEP15QWebPageAdapter'
./obj\debug\qwebframe.o: In function `QWebFrame::QWebFrame(QWebFrame*, QWebFrameData*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:224: undefined reference to `__imp__ZN16QWebFrameAdapter4initEP15QWebPageAdapterP13QWebFrameData'
./obj\debug\qwebframe.o: In function `QWebFrame::addToJavaScriptWindowObject(QString const&, QObject*, QWebFrame::ValueOwnership)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:257: undefined reference to `__imp__ZN16QWebFrameAdapter27addToJavaScriptWindowObjectERK7QStringP7QObjectNS_14ValueOwnershipE'
./obj\debug\qwebframe.o: In function `QWebFrame::toHtml() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:267: undefined reference to `__imp__ZNK16QWebFrameAdapter6toHtmlEv'
./obj\debug\qwebframe.o: In function `QWebFrame::toPlainText() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:278: undefined reference to `__imp__ZNK16QWebFrameAdapter11toPlainTextEv'
./obj\debug\qwebframe.o: In function `QWebFrame::title() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:290: undefined reference to `__imp__ZNK16QWebFrameAdapter5titleEv'
./obj\debug\qwebframe.o: In function `QWebFrame::metaData() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:326: undefined reference to `__imp__ZNK16QWebFrameAdapter8metaDataEv'
./obj\debug\qwebframe.o: In function `QWebFrame::setUrl(QUrl const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:342: undefined reference to `__imp__ZN16QWebFrameAdapter14clearCoreFrameEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:343: undefined reference to `__imp__ZN16QWebFrameAdapter17ensureAbsoluteUrlERK4QUrl'
./obj\debug\qwebframe.o: In function `QWebFrame::requestedUrl() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:364: undefined reference to `__imp__ZNK16QWebFrameAdapter16lastRequestedUrlEv'
./obj\debug\qwebframe.o: In function `QWebFrame::baseUrl() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:375: undefined reference to `__imp__ZNK16QWebFrameAdapter7baseUrlEv'
./obj\debug\qwebframe.o: In function `QWebFrame::icon() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:387: undefined reference to `__imp__ZNK16QWebFrameAdapter12coreFrameUrlEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:387: undefined reference to `__imp__ZN12QWebSettings10iconForUrlERK4QUrl'
./obj\debug\qwebframe.o: In function `QWebFrame::frameName() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:395: undefined reference to `__imp__ZNK16QWebFrameAdapter10uniqueNameEv'
./obj\debug\qwebframe.o: In function `QWebFrame::load(QNetworkRequest const&, QNetworkAccessManager::Operation, QByteArray const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:433: undefined reference to `__imp__ZN16QWebFrameAdapter4loadERK15QNetworkRequestN21QNetworkAccessManager9OperationERK10QByteArray'
./obj\debug\qwebframe.o: In function `QWebFrame::setHtml(QString const&, QUrl const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:462: undefined reference to `__imp__ZN16QWebFrameAdapter7setHtmlERK7QStringRK4QUrl'
./obj\debug\qwebframe.o: In function `QWebFrame::setContent(QByteArray const&, QString const&, QUrl const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:480: undefined reference to `__imp__ZN16QWebFrameAdapter10setContentERK10QByteArrayRK7QStringRK4QUrl'
./obj\debug\qwebframe.o: In function `QWebFrame::childFrames() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:503: undefined reference to `__imp__ZNK16QWebFrameAdapter11childFramesEv'
./obj\debug\qwebframe.o: In function `QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:529: undefined reference to `__imp__ZN16QWebFrameAdapter18setScrollBarPolicyEN2Qt11OrientationENS0_15ScrollBarPolicyE'
./obj\debug\qwebframe.o: In function `QWebFrame::setScrollBarValue(Qt::Orientation, int)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:543: undefined reference to `__imp__ZN16QWebFrameAdapter17setScrollBarValueEN2Qt11OrientationEi'
./obj\debug\qwebframe.o: In function `QWebFrame::scrollBarValue(Qt::Orientation) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:554: undefined reference to `__imp__ZNK16QWebFrameAdapter14scrollBarValueEN2Qt11OrientationE'
./obj\debug\qwebframe.o: In function `QWebFrame::scrollBarMaximum(Qt::Orientation) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:565: undefined reference to `__imp__ZNK16QWebFrameAdapter16scrollBarMaximumEN2Qt11OrientationE'
./obj\debug\qwebframe.o: In function `QWebFrame::scrollBarGeometry(Qt::Orientation) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:589: undefined reference to `__imp__ZNK16QWebFrameAdapter17scrollBarGeometryEN2Qt11OrientationE'
./obj\debug\qwebframe.o: In function `QWebFrame::scroll(int, int)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:602: undefined reference to `__imp__ZN16QWebFrameAdapter8scrollByEii'
./obj\debug\qwebframe.o: In function `QWebFrame::scrollPosition() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:613: undefined reference to `__imp__ZNK16QWebFrameAdapter14scrollPositionEv'
./obj\debug\qwebframe.o: In function `QWebFrame::scrollToAnchor(QString const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:630: undefined reference to `__imp__ZN16QWebFrameAdapter14scrollToAnchorERK7QString'
./obj\debug\qwebframe.o: In function `QWebFrame::render(QPainter*, QFlags<QWebFrame::RenderLayer>, QRegion const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:643: undefined reference to `__imp__ZN16QWebFrameAdapter20renderRelativeCoordsEP8QPainteriRK7QRegion'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:644: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:645: undefined reference to `__imp__ZNK16QWebFrameAdapter9frameRectEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:645: undefined reference to `__imp__ZN16QWebFrameAdapter20renderRelativeCoordsEP8QPainteriRK7QRegion'
./obj\debug\qwebframe.o: In function `QWebFrame::setTextSizeMultiplier(double)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:674: undefined reference to `__imp__ZN16QWebFrameAdapter21setTextSizeMultiplierEd'
./obj\debug\qwebframe.o: In function `QWebFrame::textSizeMultiplier() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:682: undefined reference to `__imp__ZNK16QWebFrameAdapter10zoomFactorEv'
./obj\debug\qwebframe.o: In function `QWebFrame::setZoomFactor(double)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:693: undefined reference to `__imp__ZN16QWebFrameAdapter13setZoomFactorEd'
./obj\debug\qwebframe.o: In function `QWebFrame::zoomFactor() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:698: undefined reference to `__imp__ZNK16QWebFrameAdapter10zoomFactorEv'
./obj\debug\qwebframe.o: In function `QWebFrame::hasFocus() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:709: undefined reference to `__imp__ZNK16QWebFrameAdapter8hasFocusEv'
./obj\debug\qwebframe.o: In function `QWebFrame::setFocus()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:719: undefined reference to `__imp__ZN16QWebFrameAdapter8setFocusEv'
./obj\debug\qwebframe.o: In function `QWebFrame::pos() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:727: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:730: undefined reference to `__imp__ZNK16QWebFrameAdapter9frameRectEv'
./obj\debug\qwebframe.o: In function `QWebFrame::geometry() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:738: undefined reference to `__imp__ZNK16QWebFrameAdapter9frameRectEv'
./obj\debug\qwebframe.o: In function `QWebFrame::contentsSize() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:749: undefined reference to `__imp__ZNK16QWebFrameAdapter12contentsSizeEv'
./obj\debug\qwebframe.o: In function `QWebFrame::documentElement() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:762: undefined reference to `__imp__ZNK16QWebFrameAdapter15documentElementEv'
./obj\debug\qwebframe.o: In function `QWebFrame::findAllElements(QString const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:777: undefined reference to `__imp__ZNK11QWebElement7findAllERK7QString'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:777: undefined reference to `__imp__ZN11QWebElementD1Ev'
./obj\debug\qwebframe.o: In function `QWebFrame::findFirstElement(QString const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:793: undefined reference to `__imp__ZNK11QWebElement9findFirstERK7QString'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:793: undefined reference to `__imp__ZN11QWebElementD1Ev'
./obj\debug\qwebframe.o: In function `QWebFrame::hitTestContent(QPoint const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:801: undefined reference to `__imp__ZNK16QWebFrameAdapter14hitTestContentERK6QPoint'
./obj\debug\qwebframe.o: In function `QWebFrame::print(QPrinter*) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:836: undefined reference to `__imp__ZN14QtPrintContextC1EP8QPainterRK5QRectP16QWebFrameAdapter'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:854: undefined reference to `__imp__ZNK14QtPrintContext9pageCountEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:858: undefined reference to `__imp__ZNK14QtPrintContext9pageCountEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:882: undefined reference to `__imp__ZN14QtPrintContext9spoolPageEif'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:900: undefined reference to `__imp__ZN14QtPrintContextD1Ev'
./obj\debug\qwebframe.o: In function `QWebFrame::evaluateJavaScript(QString const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:913: undefined reference to `__imp__ZN16QWebFrameAdapter18evaluateJavaScriptERK7QString'
./obj\debug\qwebframe.o: In function `QWebFrame::securityOrigin() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:923: undefined reference to `__imp__ZNK16QWebFrameAdapter14securityOriginEv'
./obj\debug\qwebframe.o: In function `QWebHitTestResult::QWebHitTestResult(QWebHitTestResult const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1058: undefined reference to `__imp__ZN24QWebHitTestResultPrivateC1ERKS_'
./obj\debug\qwebframe.o: In function `QWebHitTestResult::operator=(QWebHitTestResult const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1070: undefined reference to `__imp__ZN24QWebHitTestResultPrivateaSERKS_'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1072: undefined reference to `__imp__ZN24QWebHitTestResultPrivateD1Ev'
./obj\debug\qwebframe.o: In function `QWebHitTestResult::~QWebHitTestResult()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1084: undefined reference to `__imp__ZN24QWebHitTestResultPrivateD1Ev'
./obj\debug\qwebframe.o: In function `QWebHitTestResult::enclosingBlockElement() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1129: undefined reference to `__imp__ZN11QWebElementC1Ev'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1130: undefined reference to `__imp__ZN11QWebElementC1ERKS_'
./obj\debug\qwebframe.o: In function `QWebHitTestResult::linkElement() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1182: undefined reference to `__imp__ZN11QWebElementC1Ev'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1183: undefined reference to `__imp__ZN11QWebElementC1ERKS_'
./obj\debug\qwebframe.o: In function `QWebHitTestResult::element() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1256: undefined reference to `__imp__ZN11QWebElementC1Ev'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe.cpp:1258: undefined reference to `__imp__ZNK24QWebHitTestResultPrivate19elementForInnerNodeEv'
./obj\debug\qwebframe.o: In function `QWebFrame::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)':
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_qwebframe.cpp:157: undefined reference to `__imp__ZN16QWebFrameAdapter21_q_orientationChangedEv'
./obj\debug\qwebframe.o: In function `QWebHitTestResultPrivate::QWebHitTestResultPrivate()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.h:64: undefined reference to `__imp__ZN11QWebElementC1Ev'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.h:64: undefined reference to `__imp__ZN11QWebElementC1Ev'
./obj\debug\qwebframe.o: In function `QWebFramePrivate::QWebFramePrivate()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe_p.h:43: undefined reference to `__imp__ZN16QWebFrameAdapterC2Ev'
./obj\debug\qwebframe.o: In function `QWebFramePrivate::~QWebFramePrivate()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebframe_p.h:39: undefined reference to `__imp__ZN16QWebFrameAdapterD2Ev'
./obj\debug\qwebpage.o: In function `QWebPagePrivate::QWebPagePrivate(QWebPage*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:201: undefined reference to `__imp__ZN15QWebPageAdapterC2Ev'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:204: undefined reference to `__imp__ZN15QWebPageAdapter21initializeWebCorePageEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:208: undefined reference to `__imp__ZN15QWebPageAdapter30addNotificationPresenterClientEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:210: undefined reference to `__imp__ZNK15QWebPageAdapter17hasSystemTrayIconEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:211: undefined reference to `__imp__ZN15QWebPageAdapter17setSystemTrayIconEP7QObject'
./obj\debug\qwebpage.o: In function `QWebPagePrivate::~QWebPagePrivate()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:237: undefined reference to `__imp__ZN15QWebPageAdapter10deletePageEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:216: undefined reference to `__imp__ZN15QWebPageAdapterD2Ev'
./obj\debug\qwebpage.o: In function `QWebPagePrivate::updateAction(QWebPage::WebAction)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:604: undefined reference to `__imp__ZN15QWebPageAdapter20updateActionInternalENS_10MenuActionEPKcPbS3_'
./obj\debug\qwebpage.o: In function `QWebPagePrivate::keyPressEvent(QKeyEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:835: undefined reference to `__imp__ZN15QWebPageAdapter14handleKeyEventEP9QKeyEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:839: undefined reference to `__imp__ZN15QWebPageAdapter15handleScrollingEP9QKeyEvent'
./obj\debug\qwebpage.o: In function `QWebPagePrivate::keyReleaseEvent(QKeyEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:876: undefined reference to `__imp__ZN15QWebPageAdapter14handleKeyEventEP9QKeyEvent'
./obj\debug\qwebpage.o: In function `QWebPagePrivate::leaveEvent(QEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:918: undefined reference to `__imp__ZN15QWebPageAdapter14mouseMoveEventEP11QMouseEvent'
./obj\debug\qwebpage.o: In function `QWebPage::setPalette(QPalette const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:932: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:937: undefined reference to `__imp__ZN16QWebFrameAdapter27updateBackgroundRecursivelyERK6QColor'
./obj\debug\qwebpage.o: In function `QWebPagePrivate::shortcutOverrideEvent(QKeyEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:947: undefined reference to `__imp__ZN15QWebPageAdapter27handleShortcutOverrideEventEP9QKeyEvent'
./obj\debug\qwebpage.o: In function `QWebPagePrivate::gestureEvent(QGestureEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:959: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:975: undefined reference to `__imp__ZN16QWebFrameAdapter18handleGestureEventEP19QGestureEventFacade'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:984: undefined reference to `__imp__ZN16QWebFrameAdapter18handleGestureEventEP19QGestureEventFacade'
./obj\debug\qwebpage.o: In function `QWebPage::inputMethodQuery(Qt::InputMethodQuery) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1004: undefined reference to `__imp__ZNK15QWebPageAdapter16inputMethodQueryEN2Qt16InputMethodQueryE'
./obj\debug\qwebpage.o: In function `QWebPage::currentFrame() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1393: undefined reference to `__imp__ZNK15QWebPageAdapter12currentFrameEv'
./obj\debug\qwebpage.o: In function `QWebPage::javaScriptConsoleMessage(QString const&, int, QString const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1475: undefined reference to `__imp__ZN15QWebPageAdapter6drtRunE'
./obj\debug\qwebpage.o: In function `QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1591: undefined reference to `__imp__ZN15QWebPageAdapter26allowNotificationsForFrameEP16QWebFrameAdapter'
./obj\debug\qwebpage.o: In function `QWebPage::supportedContentTypes() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1653: undefined reference to `__imp__ZNK15QWebPageAdapter21supportedContentTypesEv'
./obj\debug\qwebpage.o: In function `QWebPage::supportsContentType(QString const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1661: undefined reference to `__imp__ZNK15QWebPageAdapter19supportsContentTypeERK7QString'
./obj\debug\qwebpage.o: In function `QWebPage::triggerAction(QWebPage::WebAction, bool)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1729: undefined reference to `__imp__ZN16QWebFrameAdapter10cancelLoadEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1734: undefined reference to `__imp__ZN16QWebFrameAdapter10cancelLoadEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1742: undefined reference to `__imp__ZN15QWebPageAdapter13triggerActionENS_10MenuActionEP24QWebHitTestResultPrivatePKcb'
./obj\debug\qwebpage.o: In function `QWebPage::viewportSize() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1886: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1887: undefined reference to `__imp__ZNK16QWebFrameAdapter9frameRectEv'
./obj\debug\qwebpage.o: In function `QWebPage::setViewportSize(QSize const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1909: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1912: undefined reference to `__imp__ZN16QWebFrameAdapter15setViewportSizeERK5QSize'
./obj\debug\qwebpage.o: In function `QWebPage::viewportAttributesForSize(QSize const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:1989: undefined reference to `__imp__ZNK15QWebPageAdapter25viewportAttributesForSizeERK5QSizeS2_'
./obj\debug\qwebpage.o: In function `QWebPage::preferredContentsSize() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2006: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2007: undefined reference to `__imp__ZNK16QWebFrameAdapter16customLayoutSizeEv'
./obj\debug\qwebpage.o: In function `QWebPage::setPreferredContentsSize(QSize const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2038: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2041: undefined reference to `__imp__ZN16QWebFrameAdapter19setCustomLayoutSizeERK5QSize'
./obj\debug\qwebpage.o: In function `QWebPage::setActualVisibleContentRect(QRect const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2057: undefined reference to `__imp__ZNK16QWebFrameAdapter7hasViewEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2060: undefined reference to `__imp__ZN16QWebFrameAdapter26setFixedVisibleContentRectERK5QRect'
./obj\debug\qwebpage.o: In function `QWebPage::acceptNavigationRequest(QWebFrame*, QNetworkRequest const&, QWebPage::NavigationType)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2086: undefined reference to `__imp__ZN15QWebPageAdapter18treatSchemeAsLocalERK7QString'
./obj\debug\qwebpage.o: In function `QWebPage::hasSelection() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2108: undefined reference to `__imp__ZNK15QWebPageAdapter12hasSelectionEv'
./obj\debug\qwebpage.o: In function `QWebPage::selectedText() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2122: undefined reference to `__imp__ZNK15QWebPageAdapter12selectedTextEv'
./obj\debug\qwebpage.o: In function `QWebPage::selectedHtml() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2137: undefined reference to `__imp__ZNK15QWebPageAdapter12selectedHtmlEv'
./obj\debug\qwebpage.o: In function `QWebPage::action(QWebPage::WebAction) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2363: undefined reference to `__imp__ZNK15QWebPageAdapter27contextMenuItemTagForActionENS_10MenuActionEPb'
./obj\debug\qwebpage.o: In function `QWebPage::event(QEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2426: undefined reference to `__imp__ZN15QWebPageAdapter14mouseMoveEventEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2429: undefined reference to `__imp__ZN15QWebPageAdapter15mousePressEventEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2432: undefined reference to `__imp__ZN15QWebPageAdapter21mouseDoubleClickEventEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2435: undefined reference to `__imp__ZN15QWebPageAdapter17mouseReleaseEventEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2441: undefined reference to `__imp__ZN15QWebPageAdapter14mouseMoveEventEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2448: undefined reference to `__imp__ZN15QWebPageAdapter22adjustPointForClickingEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2449: undefined reference to `__imp__ZN15QWebPageAdapter17mouseReleaseEventEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2456: undefined reference to `__imp__ZN15QWebPageAdapter22adjustPointForClickingEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2457: undefined reference to `__imp__ZN15QWebPageAdapter15mousePressEventEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2464: undefined reference to `__imp__ZN15QWebPageAdapter22adjustPointForClickingEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2465: undefined reference to `__imp__ZN15QWebPageAdapter21mouseDoubleClickEventEP11QMouseEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2482: undefined reference to `__imp__ZN15QWebPageAdapter10wheelEventEP11QWheelEventi'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2488: undefined reference to `__imp__ZN15QWebPageAdapter10wheelEventEP11QWheelEventi'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2501: undefined reference to `__imp__ZN15QWebPageAdapter12focusInEventEP11QFocusEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2504: undefined reference to `__imp__ZN15QWebPageAdapter13focusOutEventEP11QFocusEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2511: undefined reference to `__imp__ZN15QWebPageAdapter14dragLeaveEventEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2528: undefined reference to `__imp__ZN15QWebPageAdapter14dragLeaveEventEv'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2538: undefined reference to `__imp__ZN15QWebPageAdapter16inputMethodEventEP17QInputMethodEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2551: undefined reference to `__imp__ZN15QWebPageAdapter10touchEventEP11QTouchEvent'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2559: undefined reference to `__imp__ZN15QWebPageAdapter26dynamicPropertyChangeEventEP7QObjectP27QDynamicPropertyChangeEvent'
./obj\debug\qwebpage.o: In function `QWebPage::focusNextPrevChild(bool)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2579: undefined reference to `__imp__ZNK15QWebPageAdapter14hasFocusedNodeEv'
./obj\debug\qwebpage.o: In function `QWebPage::setContentEditable(bool)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2596: undefined reference to `__imp__ZN15QWebPageAdapter18setContentEditableEb'
./obj\debug\qwebpage.o: In function `QWebPage::isContentEditable() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2603: undefined reference to `__imp__ZNK15QWebPageAdapter17isContentEditableEv'
./obj\debug\qwebpage.o: In function `QWebPage::swallowContextMenuEvent(QContextMenuEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2706: undefined reference to `__imp__ZN15QWebPageAdapter23swallowContextMenuEventEP17QContextMenuEventP16QWebFrameAdapter'
./obj\debug\qwebpage.o: In function `QWebPage::updatePositionDependentActions(QPoint const&)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:2731: undefined reference to `__imp__ZN15QWebPageAdapter34updatePositionDependentMenuActionsERK6QPointP9QBitArray'
./obj\debug\qwebpage.o: In function `QWebPage::findText(QString const&, QFlags<QWebPage::FindFlag>)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:3009: undefined reference to `__imp__ZN15QWebPageAdapter8findTextERK7QStringNS_8FindFlagE'
./obj\debug\qwebpage.o: In function `QWebPage::setNetworkAccessManager(QNetworkAccessManager*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:3052: undefined reference to `__imp__ZN15QWebPageAdapter23setNetworkAccessManagerEP21QNetworkAccessManager'
./obj\debug\qwebpage.o: In function `QWebPage::networkAccessManager() const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:3063: undefined reference to `__imp__ZN15QWebPageAdapter20networkAccessManagerEv'
./obj\debug\qwebpage.o: In function `QWebPage::userAgentForUrl(QUrl const&) const':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:3109: undefined reference to `__imp__ZN15QWebPageAdapter22defaultUserAgentStringEv'
./obj\debug\qwebpage.o: In function `QWebPage::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)':
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_qwebpage.cpp:476: undefined reference to `__imp__ZN15QWebPageAdapter24_q_onLoadProgressChangedEi'
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_qwebpage.cpp:478: undefined reference to `__imp__ZN15QWebPageAdapter22_q_cleanupLeakMessagesEv'
./obj\debug\qwebpage.o: In function `QGraphicsWidgetPluginImpl::QGraphicsWidgetPluginImpl(QGraphicsWidget*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/QGraphicsWidgetPluginImpl.h:34: undefined reference to `__imp__ZN21QtPluginWidgetAdapterC2Ev'
./obj\debug\qwebpage.o: In function `QWidgetPluginImpl::QWidgetPluginImpl(QWidget*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/QWidgetPluginImpl.h:32: undefined reference to `__imp__ZN21QtPluginWidgetAdapterC2Ev'
./obj\debug\qwebpage.o: In function `void QWebPagePrivate::dragEnterEvent<QDragEnterEvent>(QDragEnterEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:884: undefined reference to `__imp__ZN15QWebPageAdapter11dragEnteredEPK9QMimeDataRK6QPoint6QFlagsIN2Qt10DropActionEE'
./obj\debug\qwebpage.o: In function `void QWebPagePrivate::dragMoveEvent<QDragMoveEvent>(QDragMoveEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:894: undefined reference to `__imp__ZN15QWebPageAdapter11dragUpdatedEPK9QMimeDataRK6QPoint6QFlagsIN2Qt10DropActionEE'
./obj\debug\qwebpage.o: In function `void QWebPagePrivate::dropEvent<QDropEvent>(QDropEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:905: undefined reference to `__imp__ZN15QWebPageAdapter11performDragEPK9QMimeDataRK6QPoint6QFlagsIN2Qt10DropActionEE'
./obj\debug\qwebpage.o: In function `void QWebPagePrivate::dragEnterEvent<QGraphicsSceneDragDropEvent>(QGraphicsSceneDragDropEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:884: undefined reference to `__imp__ZN15QWebPageAdapter11dragEnteredEPK9QMimeDataRK6QPoint6QFlagsIN2Qt10DropActionEE'
./obj\debug\qwebpage.o: In function `void QWebPagePrivate::dragMoveEvent<QGraphicsSceneDragDropEvent>(QGraphicsSceneDragDropEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:894: undefined reference to `__imp__ZN15QWebPageAdapter11dragUpdatedEPK9QMimeDataRK6QPoint6QFlagsIN2Qt10DropActionEE'
./obj\debug\qwebpage.o: In function `void QWebPagePrivate::dropEvent<QGraphicsSceneDragDropEvent>(QGraphicsSceneDragDropEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebpage.cpp:905: undefined reference to `__imp__ZN15QWebPageAdapter11performDragEPK9QMimeDataRK6QPoint6QFlagsIN2Qt10DropActionEE'
./obj\debug\qwebinspector.o: In function `QWebInspector::showEvent(QShowEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebinspector.cpp:162: undefined reference to `__imp__ZN15QWebPageAdapter16didShowInspectorEv'
./obj\debug\qwebinspector.o: In function `QWebInspector::hideEvent(QHideEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebinspector.cpp:171: undefined reference to `__imp__ZN15QWebPageAdapter17didCloseInspectorEv'
./obj\debug\qwebinspector.o: In function `QWebInspector::closeEvent(QCloseEvent*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetApi/qwebinspector.cpp:180: undefined reference to `__imp__ZN15QWebPageAdapter17didCloseInspectorEv'
./obj\debug\QWebUndoCommand.o: In function `QWebUndoCommand::QWebUndoCommand(QSharedPointer<UndoStepQt>, QUndoCommand*)':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/QWebUndoCommand.cpp:31: undefined reference to `__imp__ZNK10UndoStepQt4textEv'
./obj\debug\QWebUndoCommand.o: In function `QWebUndoCommand::undo()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/QWebUndoCommand.cpp:36: undefined reference to `__imp__ZN10UndoStepQt4undoEv'
./obj\debug\QWebUndoCommand.o: In function `QWebUndoCommand::redo()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/QWebUndoCommand.cpp:41: undefined reference to `__imp__ZN10UndoStepQt4redoEv'
./obj\debug\InitWebKitQt.o: In function `WebKit::initializeWebKitWidgets()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/InitWebKitQt.cpp:39: undefined reference to `WebKit::setWebKitWidgetsInitCallback(WebCore::QStyleFacade* (*)(QWebPageAdapter*))'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/InitWebKitQt.cpp:40: undefined reference to `WebKit::initializeWebKitQt()'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/InitWebKitQt.cpp:43: undefined reference to `WebKit::setImagePlatformResource(char const*, QPixmap const&)'
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WidgetSupport/InitWebKitQt.cpp:45: undefined reference to `WebKit::setImagePlatformResource(char const*, QPixmap const&)'
./obj\debug\QGraphicsWidgetPluginImpl.o: In function `QGraphicsWidgetPluginImpl::qt_metacast(char const*)':
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_QGraphicsWidgetPluginImpl.cpp:79: undefined reference to `__imp__ZN21QtPluginWidgetAdapter11qt_metacastEPKc'
./obj\debug\QGraphicsWidgetPluginImpl.o: In function `QGraphicsWidgetPluginImpl::qt_metacall(QMetaObject::Call, int, void**)':
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_QGraphicsWidgetPluginImpl.cpp:84: undefined reference to `__imp__ZN21QtPluginWidgetAdapter11qt_metacallEN11QMetaObject4CallEiPPv'
./obj\debug\QGraphicsWidgetPluginImpl.o: In function `__static_initialization_and_destruction_0':
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_QGraphicsWidgetPluginImpl.cpp:66: undefined reference to `__imp__ZN21QtPluginWidgetAdapter16staticMetaObjectE'
./obj\debug\QGraphicsWidgetPluginImpl.o: In function `QtPluginWidgetAdapter::~QtPluginWidgetAdapter()':
C:\Work\git\qt5\qtwebkit\Source/WebKit/qt/WebCoreSupport/QtPluginWidgetAdapter.h:29: undefined reference to `__imp__ZTV21QtPluginWidgetAdapter'
./obj\debug\QWidgetPluginImpl.o: In function `QWidgetPluginImpl::qt_metacast(char const*)':
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_QWidgetPluginImpl.cpp:79: undefined reference to `__imp__ZN21QtPluginWidgetAdapter11qt_metacastEPKc'
./obj\debug\QWidgetPluginImpl.o: In function `QWidgetPluginImpl::qt_metacall(QMetaObject::Call, int, void**)':
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_QWidgetPluginImpl.cpp:84: undefined reference to `__imp__ZN21QtPluginWidgetAdapter11qt_metacallEN11QMetaObject4CallEiPPv'
./obj\debug\QWidgetPluginImpl.o: In function `__static_initialization_and_destruction_0':
C:\Work\git\qt5\qtwebkit\Source/tmp/moc/debug_shared/moc_QWidgetPluginImpl.cpp:66: undefined reference to `__imp__ZN21QtPluginWidgetAdapter16staticMetaObjectE'
collect2.exe: error: ld returned 1 exit status
Makefile.widgetsapi.Debug:120: recipe for target 'C:\Work\git\qt5\qtbase\lib\Qt5WebKitWidgetsd.dll' failed
mingw32-make[3]: *** [C:\Work\git\qt5\qtbase\lib\Qt5WebKitWidgetsd.dll] Error 1
mingw32-make[3]: Leaving directory 'C:/Work/git/qt5/qtwebkit/Source'
------- Comment #1 From 2012-12-08 02:22:45 PST -------
Created an attachment (id=178346) [details]
Full logs configuring and compiling with 8 threads

Full logs attached
------- Comment #2 From 2012-12-09 14:19:11 PST -------
Exactly same problem with cross-compilation using mingw32.
------- Comment #3 From 2012-12-11 11:32:34 PST -------
I found out how to build and link it, now it works. Hope this help to make a patch to fix this. The problem is how Qt5WebKit.dll link with static 
libraries.

1) 
so the static libraries now presented in link line part like (see WebKitBuild/Release/Source/Makefile.Release, 'LIBS =' section):

... -lWebKit1 -lWebCore  -lJavaScriptCore -Wl,-whole-archive -lWTF -Wl,-no-whole-archive ...

thus only -lWTF braced by -Wl,-whole-archive and -Wl,-no-whole-archive, to fix the problem and import functions it shouble be as the following:

... -Wl,-whole-archive -lWTF -Wl,-no-whole-archive  -Wl,-whole-archive -lWebKit1  -Wl,-no-whole-archive  -Wl,-whole-archive -lWebCore -Wl,-no-whole-archive -Wl,-whole-archive -lJavaScriptCore -Wl,-no-whole-archive ...

also the important moment, the following libs:

-lshlwapi -lversion

must follow -lWebCore, so finally link line part do the job:

... -Wl,-whole-archive -lWTF -Wl,-no-whole-archive  -Wl,-whole-archive -lWebKit1  -Wl,-no-whole-archive  -Wl,-whole-archive -lWebCore -Wl,-no-whole-archive -lshlwapi -lversion -Wl,-whole-archive -lJavaScriptCore -Wl,-no-whole-archive ...

2) After first step functions should be exported well (and placed into import file .a), but Qt5WebKitWidgets still cannot link, cause it can't find the Qt5WebKit library itself. I did link to it differently and it worked well, the changes in WebKitBuild/Release/Source/Makefile.widgetsapi.Release, section 'LIB =':

from 
'-L<PathToWebkit>/WebKitBuild/Release/lib -lQt5WebKit', 
to
 '<PathToWebkit>/WebKitBuild/Release/lib/Qt5WebKit.dll'

Hope it help to fix this upstream!
------- Comment #4 From 2012-12-12 03:00:01 PST -------
No patch yet, but some insights: There's MSVC specific logic in Tools\qmake\mkspecs\features\win32\default_post.prf , Tools\Scripts\generate-win32-export-forwards that "extract[s] exporting linker directives from all static libraries we're linking into the DLL and make sure they are also exported from the DLL.". Maybe we've to write something similar with MinGW tools?
------- Comment #5 From 2012-12-14 04:37:17 PST -------
I get the following compile error if I try to compile Qt5WebKitd.dll:
g++ -shared -Wl,--out-implib,C:\Work\git\qt5\qtbase\lib\libQt5WebKitd.a -o C:\Work\git\qt5\qtbase\lib\Qt5WebKitd.dll obj/debug/qrc_WebCore.o obj/debug/qrc_WebKit.o obj/debug/qrc_InspectorBackendCommands.o  -LC:\Qt\qt5_deps\icu\dist\lib -LC:\Qt\qt5_deps\openssl-1.0.1c\dist\lib -LC:/Work/git/qt5/qtbase/lib -lQt5Networkd -lQt5Guid -lQt5Cored -llibEGLd -llibGLESv2d -lgdi32 -luser32 obj\debug\Qt5WebKitd_resource_res.o -Wl,-whole-archive -lWebKit1d -Wl,-no-whole-archive -LC:/Work/git/qt5/qtwebkit/Source/WebKit/debug -Wl,-whole-archive -lWebKit2d -Wl,-no-whole-archive -LC:/Work/git/qt5/qtwebkit/Source/WebKit2/debug -Wl,-whole-archive -lWebCored -Wl,-no-whole-archive -LC:/Work/git/qt5/qtwebkit/Source/WebCore/debug -ladvapi32 -lshell32 -lshlwapi -lversion -llibEGL -llibGLESv2 -lole32 -luser32 -lANGLEd -LC:/Work/git/qt5/qtwebkit/Source/ThirdParty/ANGLE/debug -Wl,-whole-archive -lJavaScriptCored -Wl,-no-whole-archive -LC:/Work/git/qt5/qtwebkit/Source/JavaScriptCore/debug -Wl,-whole-archive -lWTFd -Wl,-no-whole-archive -LC:/Work/git/qt5/qtwebkit/Source/WTF/debug -licuin -licuuc -licudt -lwinmm -lgdi32 -LC:/Work/git/qt5/qtbase/lib -lQt5Quickd -lQt5Qmld -lQt5Sqld -lQt5Guid -lQt5Networkd -lQt5Cored
C:/Work/git/qt5/qtwebkit/Source/JavaScriptCore/debug/libJavaScriptCored.a(SymbolTable.o):SymbolTable.cpp:(.text+0x383): undefined reference to `JSC::JSCell::classInfo() const'
C:/Work/git/qt5/qtwebkit/Source/JavaScriptCore/debug/libJavaScriptCored.a(StructureChain.o):StructureChain.cpp:(.text+0x40): undefined reference to `JSC::JSCell::classInfo() const'
C:/Work/git/qt5/qtwebkit/Source/JavaScriptCore/debug/libJavaScriptCored.a(StructureChain.o):StructureChain.cpp:(.text+0xce): undefined reference to `JSC::JSCell::classInfo() const'
C:/Work/git/qt5/qtwebkit/Source/JavaScriptCore/debug/libJavaScriptCored.a(StructureChain.o):StructureChain.cpp:(.text+0x5b9): undefined reference to `JSC::JSCell::classInfo() const'
c:/mingw64-4.7.2/bin/../lib/gcc/x86_64-w64-mingw32/4.7.2/../../../../x86_64-w64-mingw32/bin/ld.exe: C:/Work/git/qt5/qtwebkit/Source/JavaScriptCore/debug/libJavaScriptCored.a(StructureChain.o): bad reloc address 0x0 in section `.data'
collect2.exe: error: ld returned 1 exit status

Same undefined reference to JSC::JSCell::classInfo() errors as in https://bugs.webkit.org/show_bug.cgi?id=100592 when compiling debug.
------- Comment #6 From 2012-12-14 05:44:38 PST -------
Looks like a problem with Qt 5 qmake specific to win32-g++ mkspec. It seems to be removing the duplicate -Wl,-whole-archive and -Wl,-no-whole-archive linker flags. Qt 4 qmake didn't remove the duplicate linker flags.
------- Comment #7 From 2012-12-15 04:26:31 PST -------
Created an attachment (id=179585) [details]
Patch.
------- Comment #8 From 2012-12-15 06:51:39 PST -------
(From update of attachment 179585 [details])
Attachment 179585 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/15366040

New failing tests:
fast/frames/sandboxed-iframe-attribute-parsing.html
------- Comment #9 From 2012-12-15 07:09:19 PST -------
(From update of attachment 179585 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=179585&action=review

LGTM.

> Tools/ChangeLog:3
> +        Fix linking of libraries with -Wl,-whole-archive

The ChangeLog should have the same title as the bug.
------- Comment #10 From 2012-12-15 07:10:29 PST -------
Bug title updated to match patch.
------- Comment #11 From 2012-12-15 07:40:25 PST -------
(From update of attachment 179585 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=179585&action=review

>> Tools/ChangeLog:3
>> +        Fix linking of libraries with -Wl,-whole-archive
> 
> The ChangeLog should have the same title as the bug.

I disagree. Is that rule documented somewhere? I find it very unintuitive that the one-line-summaries of patches describe the original bug, not a summary of the fix.
------- Comment #12 From 2012-12-15 07:42:38 PST -------
(In reply to comment #10)
> Bug title updated to match patch.

This is equally unintuitive :) We're dealing with two different entities, a bug (report), and a patch (fix), there's no reason to force them to be the same (even if it's what webkit-patch tends to generate).
------- Comment #13 From 2012-12-15 07:45:10 PST -------
Changed back then.
------- Comment #14 From 2012-12-15 10:54:13 PST -------
(In reply to comment #11)
> (From update of attachment 179585 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=179585&action=review
> 
> >> Tools/ChangeLog:3
> >> +        Fix linking of libraries with -Wl,-whole-archive
> > 
> > The ChangeLog should have the same title as the bug.
> 
> I disagree. Is that rule documented somewhere? I find it very unintuitive that the one-line-summaries of patches describe the original bug, not a summary of the fix.

Indeed it is not documented, but it is applied as a de-facto rule, since the short description of the changelog is not the same as the one-line-summary in git terminology.

I think the title in the changelog should give the context for the patch, which also includes the port and configuration affected, which is in most cases the same as bug title,  but this does not mean that the further description of the patch should be the same as the bug report.

Anyway, this is subjective and does not affect the relevance of the patch.
------- Comment #15 From 2012-12-17 01:35:22 PST -------
(From update of attachment 179585 [details])
r=me

Theoretically this line could also be placed elsewhere (it's a config, not a per-library kind of thing), but then having it near the --whole-archive LIBS addition makes it clearer that those two are related.

Yeah I don't think it's an actual _rule_ that the first line has to be that, but webkit-patch chooses it as default when filling out ChangeLogs. That I think is a sensible default and if the title of the bug is suitable for the changelog, then it's a good fit. Otherwise I think anyone is free to change it.
------- Comment #16 From 2012-12-17 01:39:41 PST -------
(From update of attachment 179585 [details])
Clearing flags on attachment: 179585

Committed r137886: <http://trac.webkit.org/changeset/137886>
------- Comment #17 From 2012-12-17 01:39:46 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #18 From 2013-04-15 00:30:00 PST -------
*** Bug 103491 has been marked as a duplicate of this bug. ***